| Kea 3.0.2-git

isc::data::ElementValue< asiolink::IOAddress > Class Reference

The `ElementValue` specialization for IOAddress. More...

`#include <element_value.h>`

## Public Member Functions
asiolink::IOAddress | operator() (ConstElementPtr el) const
| Function operator extracting an `Element` value as IOAddress.

## Detailed Description

The `ElementValue` specialization for IOAddress.

Definition at line 100 of file element_value.h.

## Member Function Documentation

## ◆ operator()()

asiolink::IOAddress isc::data::ElementValue< asiolink::IOAddress >::operator() | ( | ConstElementPtr | el | ) | const
| inline

Function operator extracting an `Element` value as IOAddress.

Note
  This does NOT support empty string value.

Parameters

  el | Element holding a value to be extracted.

Definition at line 109 of file element_value.h.

The documentation for this class was generated from the following file:

- element_value.h